Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.tag
Class RadioTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.web.tag.AbstractInputTagSupport
              com.bea.web.tag.RadioTagSupport

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class RadioTagSupport
extends AbstractInputTagSupport
implements Serializable

Provides the rendering logic for an option in an HTML radio button group. No need to do validation on a radio option...assumed the value is selected or not vs. valid or not.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RadioTagSupport()` Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Summary
`int` | `doStartTag()`
`void` | `release()` Resets the internal state of this instance.
`void` | `setValue(String strValue)`

Methods inherited from class com.bea.web.tag.AbstractInputTagSupport
`getAttrs, getDefault, getMaxlength, getName, getSize, isRequired, printError, setAttrs, setDefault, setMaxlength, setName, setRequired, setSize`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RadioTagSupport

    public RadioTagSupport()

  Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Detail

### setValue

    public final void setValue(String strValue)

### release

    public void release()

  Resets the internal state of this instance. This is called after this tag has rendered itself in the `doStartTag` method. This is needed because the tag handler will reuse this instance for every int tag on the page.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `AbstractInputTagSupport`

### doStartTag

    public int doStartTag()

  Specified by:
    `doStartTag` in interface `Tag`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD